# Visualizer

#### new Cesium.Visualizer()
DataSources/Visualizer.js 19

Defines the interface for visualizers. Visualizers are plug-ins to `DataSourceDisplay` that render data associated with `DataSource` instances. This object is an interface for documentation purposes and is not intended to be instantiated directly.

##### See:

- BillboardVisualizer
- LabelVisualizer
- ModelVisualizer
- PathVisualizer
- PointVisualizer
- GeometryVisualizer

### Methods

#### destroy()
DataSources/Visualizer.js 60

Removes all visualization and cleans up any resources associated with this instance.

#### isDestroyed() → Boolean
DataSources/Visualizer.js 54

Returns true if this object was destroyed; otherwise, false.

##### Returns:

True if this object was destroyed; otherwise, false.

#### update(time) → Boolean
DataSources/Visualizer.js 33

Updates the visualization to the provided time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time.

##### Returns:

True if the display was updated to the provided time, false if the visualizer is waiting for an asynchronous operation to complete before data can be updated.